html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    border: 0;
    font-family: 'Inter', sans-serif;

    .web-body {
        img.results-logo {
            max-width: 25%;
        }

        .notices-wrapper {
            p.exam-text {
                font-size: 20px;
                font-weight: 600;
            }
            display: flex;
            flex-wrap: wrap;
            align-items: center;
        }

        .exams-result {
            text-align: center;
            padding: 30px 20px;
            background: #f9fafb;
            border-radius: 12px;
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
            max-width: 500px;
            margin: 40px auto;
        }

        .exams-result h2 {
            font-size: 1.6rem;
            color: #1f2937;
            margin-bottom: 20px;
        }

        .exam-btn {
            display: inline-flex;
            align-items: center;
            gap: 10px;
            margin: 10px;
            padding: 12px 20px;
            background-color: #3b82f6;
            color: white;
            text-decoration: none;
            border-radius: 8px;
            font-weight: 600;
            transition: background-color 0.3s ease, transform 0.2s ease;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }

        .exam-btn:hover {
            background-color: #2563eb;
            transform: translateY(-2px);
        }

        .btn-icon {
            width: 24px;
            height: 24px;
            object-fit: contain;
            border-radius: 4px;
        }


        .mobile-slider {
            display: none;
        }

        /* .md-image {
            max-width: 80%;
        } */
        a[href*="elfsight.com/google-reviews-widget"] {
            all: unset !important;
            display: none !important;
            /* Or restyle it how you want */
        }

        .es-main-content+script+a[target="_blank"] {
            display: none !important;
            font-size: 5px !important;
        }

        .slider-wrapper {
            margin: 10px;

            .overlay-text-mobile {
                display: none;
            }

            .swiper {
                position: relative;
                width: 100%;
                height: 100vh;
            }

            .swiper-button-next {
                display: none;
            }

            .swiper-button-prev {
                display: none;
            }

            .swiper-slide {
                background-size: cover;
                background-position: center;
            }

            .overlay-text {
                font-family: font-awesome;
                position: absolute;
                top: 50%;
                left: 30%;
                transform: translate(-50%, -50%);
                color: white;
                text-align: center;
                z-index: 10;
            }

            .overlay-text h1 {
                font-size: 3rem;
                margin: 0;
                text-shadow: 0 2px 5px rgba(1, 1, 1, 1);
            }

            .overlay-text p {
                font-size: 1.2rem;
                margin-top: 10px;
                text-shadow: 0 2px 5px rgba(1, 1, 1, 1);
            }
        }




        .top-header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-top: 10px;
            margin-bottom: 10px;
            max-width: 1440px;


            img.infotech-name {
                margin-left: 15px;
                max-width: 70%;
            }

            img.info-logo-img {
                width: 100%;
                max-width: 25%;
            }

            img.nielet-img {
                max-width: 80%;
                margin-left: 20px;
            }

            .top-taps {
                line-height: 30px;
                margin-right: 15px;
            }

            .top-taps a {
                color: black;
                text-decoration: none;
                font-family: Inter;
                margin-left: 15px;

            }

            .top-taps a:hover {
                color: #1A906B;
                text-decoration: underline;
            }


            header.top-header {
                display: flex;
                justify-content: space-evenly;
                align-items: center;
            }


            .info-logo {
                max-width: 30%;
                display: flex;
                align-items: center;
                justify-content: space-evenly;
                margin-left: 20px;
            }

            .Info-name {
                font-size: 20px;
            }

        }

        .section-one-container {
            display: none;
            margin: 50px 0 0 50px;

            img.circle-image {
                position: absolute;
                top: 20%;
                left: 0;
                width: 30%;
                z-index: -1;
            }

            h2.section-text {
                font-size: 64px;
                font-family: Inter;
                margin-bottom: 10px;
            }

            span.section-one-highlight {
                font-size: 64px;
                color: #20B486;
            }

            .section-one-wrapper {
                display: flex;
                justify-content: space-evenly;

                /* align-items: center; */
                .section-one-btn-wrapper {
                    a.get-started-cta {
                        padding: 15px;
                        background-color: #20B486;
                        color: white;
                        border: none;
                        border-radius: 5px;
                        z-index: 1;
                        position: relative;
                        cursor: pointer;
                        text-decoration: none;
                    }
                }


                img.young-stud-img {
                    width: auto;
                    object-fit: contain;
                    max-width: 70%;
                }

                .section-one-right {
                    text-align: right;
                }

                .sub-text-wrapper p {
                    color: #646464;
                    margin-bottom: 50px;
                }

                .learn-wrapper {
                    display: flex;
                    align-items: center;
                    margin-top: 30px;
                }

                .learn-menu {
                    display: flex;
                    align-items: center;

                    img.learn-image {
                        width: 32px;
                        height: 32px;
                    }

                    span.learn-text {
                        margin: 10px;
                        color: #1D2939;
                        font-size: 15px;
                    }
                }
            }

            /* section-two */
        }

        .section-two {
            display: none;
            margin: 40px;

            p.section-two-head {
                display: flex;
                align-items: center;
                justify-content: center;
                color: #20B486;
                font-weight: bold;
                margin-top: 15px;
            }

            h2.section-two-subhead {
                text-align: center;
                font-size: 36px;
                line-height: 44px;
            }

            .cards-wrapper {
                display: flex;
                justify-content: space-evenly;
                flex-wrap: wrap;
                gap: 20px;

                .card {
                    width: auto;
                    max-width: 300px;
                    /* height: 243px; */
                    border: 1px;
                    background-color: white;
                    color: black;
                    padding: 30px 40px;
                    box-shadow: 0px 67.1144px 109.061px rgba(0, 0, 0, 0.09);
                    border-radius: 12px;
                    margin-right: 20px;

                    &:hover {
                        background-color: #4AC8AE;
                        color: white;
                    }

                    .card-head {
                        display: flex;
                        align-items: center;
                        margin-bottom: 20px;
                    }

                    span.card-head-text {
                        margin-left: 15px;
                        font-size: 24px;
                        font-weight: bold;
                    }

                    .card-link {
                        margin-top: 20px;
                    }

                    a.card-text {
                        color: black;
                    }

                }
            }
        }

        .reviews-section {
            .review-head {
                text-align: center;
                margin-bottom: 30px;
            }

            margin: 30px;
            padding: 20px;
        }

        .counter-stats {
            .stats-section {
                display: flex;
                justify-content: space-around;
                align-items: center;
                padding: 100px 0;
                background: #fff;
                margin-top: 300px;
                /* scroll buffer */
            }

            .stat-box {
                text-align: center;
            }

            .counter {
                font-size: 48px;
                font-weight: bold;
                color: #333;
            }
        }

        /* section-three */
        .section-three {
            margin: 40px 0px 40px 40px;

            p.heading {
                color: #1A906B;
                font-size: 16px;
                font-weight: bold;
            }

            h2.head-text {
                font-size: 36px;
            }

            p.sub-text {
                color: #667085;
                font-size: 20px;
            }

            .cards-wrapper {
                display: flex;
                justify-content: space-evenly;
                flex-wrap: wrap;

                .card-href {
                    text-decoration: none;
                    color: black;
                }
            }


            .card {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                padding: 10px;
                /* gap: 32px; */
                width: auto;
                max-width: 300px;
                /* height: 553px; */
                background: #FFFFFF;
                box-shadow: 0px 12px 16px -4px rgba(16, 24, 40, 0.08), 0px 4px 6px -2px rgba(16, 24, 40, 0.03);
                border-radius: 8px;

                p.course-head-text {
                    color: #1A906B;
                    font-size: 14px;
                }

                h3.course-name {
                    margin: 5px 5px 5px 0px;
                    font-size: 24px;

                    /* &::after {
                        content: '>';
                    } */
                }

                p.course-subtext {
                    color: #667085;
                    font-size: 16px;
                }

                p.rating-green {
                    font-size: 14px;
                    color: #3FC89E;
                }

                p.rating-text {
                    font-size: 14px;
                    color: #969696;
                }

                img.card-image {
                    width: auto;
                    max-width: 300px;
                    /* height: 240px; */
                    border-radius: 4px;
                }

                .img-wrapper {
                    object-fit: contain;
                    margin: 0 auto;
                }

                .course-rating-wrap {
                    display: flex;
                    align-items: center;
                    gap: 5px;
                }

            }

            .all-cta {
                margin-top: 50px;
                text-align: center;

                a.all-cta-wrap {
                    cursor: pointer;
                    font-size: 14px;
                    color: #101828;
                    background-color: #D0D5DD;
                    border-color: #D0D5DD;
                    padding: 10px;
                    border-radius: 8px;
                    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
                    /* subtle shadow */
                    font-weight: 600;
                    /* make text look bolder */
                    text-decoration: none;
                    /* optional: remove underline */
                }
            }
        }

        .section-four {
            padding: 10px;
            p.md-name {
                font-size: 25px;
                font-weight: 700;
            }

            p.md-desig {
                font-weight: 700;
                font-size: 20px;
            }
            

            p.md-text {
                line-height: 26px;
            }

            .about-us-wrapper {
                display: flex;
                margin: 40px;
                justify-content: center;

                /* text-align: center; */
                .about-us-head {
                    color: #1A906B;
                    font-size: 16px;
                    font-weight: bold;
                }

                .about-text {
                    line-height: 23px;
                }

                img.about-image {
                    max-width: 100%;
                }

            }


            .about-right {
                text-align: center;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            .md-wrapper {
                display: flex;
                margin: 40px;
                align-items: center;
                justify-content: space-between;
                flex-direction: row-reverse;

                p.about-md {
                    color: #1A906B;
                    font-size: 16px;
                    font-weight: bold;
                }



                .md-left {
                    max-width: 60%;
                }

                .md-right {
                    max-width: 40%;
                    text-align: center;

                    .md-image {
                        max-width: 50%;
                    }
                }
            }


        }

        .gallery-section {
            height: auto;
            margin-bottom: 10px;
            /* edit this incase */
            max-height: 80%;

            .photo-slider.slick-initialized.slick-slider {
                max-height: 60%;
            }

            .photos-section {
                margin: 40px;
                color: #1A906B;
                font-size: 16px;
                font-weight: bold;
            }

            /* Specific images INSIDE slick-track */
            .slick-track img[alt="Diploma Certificate"],
            .slick-track img[alt="down slider pic"] {
                max-width: 90% !important;
                height: auto !important;
                display: block;
                margin: 0 auto;
                object-fit: contain !important;
                max-height: 300px !important;
                width: auto !important;
                /* Override the 100% width from the general rule */
            }


            .slick-track img {
                width: 100%;
                max-width: 50%;
                margin: 0 auto;
                height: auto;
                border-radius: 10px;
                object-fit: cover;
            }

            .slick-prev:before,
            .slick-next:before,
            button.slick-arrow {
                display: none !important;
            }

        }


        footer.footer-section {
            /* margin: 40px; */
            background-color: #101828;
            color: white;
            padding: 50px;

            .footer-wrapper {
                display: flex;
                justify-content: space-between;
                align-items: center;

                p.address {
                    text-transform: capitalize;
                    line-height: 30px;
                }

                .footer-right {

                    width: 100%;

                    .map-container {
                        width: 100%;
                        max-width: 600px;
                        height: auto;
                        margin: 30px auto;
                        border-radius: 8px;
                        overflow: hidden;
                        box-shadow: 0 4px 16px rgba(0, 0, 0, 0.1);
                    }
                }
            }

            img.logo-footer {
                max-width: 100px;
            }

            ul {
                display: flex;
                flex-direction: column;
                gap: 10px;

                li::marker {
                    display: none;
                    font-size: 0px;
                }

                p.copyright-text {
                    font-size: 16px;
                    color: #98A2B3;
                }
            }
        }


    }
}

/* course-page-start */
.courses-page-wrapper {
    .top-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-top: 10px;
        margin-bottom: 10px;
        max-width: 1440px;


        img.infotech-name {
            margin-left: 15px;
            max-width: 70%;
        }

        img.info-logo-img {
            width: 100%;
            max-width: 25%;
        }

        .top-taps {
            
            margin-right: 15px;
        }

        .top-taps a {
            color: black;
            text-decoration: none;
            font-family: Inter;
            margin-left: 15px;

        }

        .top-taps a:hover {
            color: #1A906B;
            text-decoration: underline;
        }


        header.top-header {
            display: flex;
            justify-content: space-evenly;
            align-items: center;
        }


        .info-logo {
            max-width: 30%;
            display: flex;
            align-items: center;
            justify-content: space-evenly;
            margin-left: 20px;
        }

        .Info-name {
            font-size: 20px;
        }

    }

    .courses-section {
        padding: 10px 20px;
        margin: 20px;
    }

    h2.courses-head {
        color: #20B486;
        font-weight: bold;
    }

    .course {
        background: #fff;
        margin-bottom: 10px;
        border-radius: 10px;
        overflow: hidden;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
        transition: all 0.3s ease;
    }

    .course-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px;
        cursor: pointer;
    }

    .course-header:hover {
        background: #f0f0f0;
    }

    .course-title {
        font-size: 18px;
        font-weight: 600;
    }

    .arrow {
        transition: transform 0.3s ease;
    }

    .arrow.open {
        transform: rotate(90deg);
    }

    .course-content {
        padding: 0 20px 20px;
        display: none;
        animation: fadeIn 0.3s ease;
    }


    @keyframes fadeIn {
        from {
            opacity: 0;
        }

        to {
            opacity: 1;
        }
    }
}

/* course-page-over*/
/* mobile-view-start */
@media (max-width: 767px) {
    body {
        .web-body {
            .top-header {
                .logo-wrap {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }

                img.nielet-img {
                    max-width: 230px;
                    margin-top: 20px;
                    margin-left: 0px;
                }

                img.info-logo-img {
                    width: 100%;
                    max-width: 50%;
                }

                img.infotech-name {
                    margin-left: 15px;
                    max-width: 100%;
                }
            }


            /* Mobile slider settings */
            .mobile-slider {
                display: block;
                position: relative;
                height: auto;
                overflow: hidden;
            }

            .mobile-slider .slide {
                max-height: 100%;
                height: 200px;
                background-size: contain;
                background-repeat: no-repeat;
                background-position: center;
            }

            .mobile-slider .overlay-text-mobile {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                z-index: 1000;
                color: white;
                text-align: center;
                padding: 0 20px;
            }

            .mobile-slider .overlay-text-mobile h1 {
                font-size: 24px;
                font-weight: bold;
                line-height: 1.4;
                text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.7);
            }

            .slider-wrapper {
                position: relative;
            }

            .slider-wrapper .swiper.mySwiper {
                display: none;
            }

            .slider-wrapper .overlay-text-mobile {
                display: block;
                position: absolute;
                top: 35%;
                left: 10%;
                color: white;
            }

            header.top-header {
                flex-direction: column;
            }

            header.top-header .info-logo {
                flex-direction: column;
            }

            header.top-header .top-taps {
                margin-top: 20px;
                text-align: center;
                line-height: 30px;
                flex-wrap: wrap;
            }

            .section-two .cards-wrapper {
                gap: 30px;
                flex-direction: column;
                flex-wrap: wrap;
            }

            .section-three {
                margin: 0 auto;
                padding: 0;
            }

            .section-three .cards-wrapper {
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: column;
            }

            .section-three .cards-wrapper .card img.card-image {
                width: 100px;
            }

            .section-one-container .section-one-wrapper .section-one-left .section-text,
            .section-one-container .section-one-wrapper .section-one-left .section-one-highlight {
                font-size: 32px;
            }

            .section-one-container .section-one-wrapper .section-one-right {
                display: none;
            }

            #courses .cards-wrapper {
                gap: 20px;
            }

            #courses p.heading,
            #courses h2.head-text,
            #courses p.sub-text {
                margin-left: 20px;
            }

            div#about {
                flex-direction: column;
            }

            .section-three {
                margin: 0 auto;
                padding: 25px;
            }

            .section-three #courses .cards-wrapper {
                gap: 20px;
                justify-content: center;
            }

            .section-four .md-wrapper {
                flex-direction: column;
            }

            .section-four .md-wrapper .md-left,
            .section-four .md-wrapper .md-right {
                max-width: 100%;
            }


            /* General styling for all images inside slick-track */
            .gallery-section .slick-track img {
                width: 100%;
                max-width: 100%;
            }


            footer.footer-section .footer-wrapper {
                flex-direction: column;
            }

            #install-banner {
                display: none;
                position: fixed;
                bottom: 0px;
                width: 100%;
                max-width: 98%;
                background: rgb(238, 238, 238);
                padding: 10px;
                text-align: center;
                z-index: 9;
            }
        }
    }
}

@media (min-width: 767px) and (max-width: 1115px) {
    body .web-body .top-header {
        img.nielet-img {
            max-width: 80%;
            margin: 0 auto;
            margin-top: 20px;
        }
    }

    .info-logo {
        flex-wrap: wrap;
    }
}

@media (min-width: 320px) and (max-width: 374px) {
    body {
        & .web-body {
            div#notices {
                max-width: 200px !important;
                margin: 0 auto !important;
            }

            .notices-wrapper {
                margin: 0 auto !important;
            }

            iframe.notice-iframe {
                height: 100%;
                width: 100%;
                /* overflow: hidden; */
            }
        }
    }
}